Bug 1467347 - /usr/bin/python3 /usr/share/java-utils/pom_editor.py pom_remove_parent causes traceback in F24
Summary: /usr/bin/python3 /usr/share/java-utils/pom_editor.py pom_remove_parent causes...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: javapackages-tools
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-03 13:14 UTC by Mattias Ellert
Modified: 2017-07-12 01:51 UTC (History)
6 users (show)

Fixed In Version: javapackages-tools-4.6.0-16.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-12 01:51:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Mattias Ellert 2017-07-03 13:14:19 UTC
Description of problem:

/usr/bin/python3 /usr/share/java-utils/pom_editor.py pom_remove_parent
Traceback (most recent call last):
  File "/usr/share/java-utils/pom_editor.py", line 640, in <module>
    macros[sys.argv[1]](*sys.argv[2:])
  File "/usr/share/java-utils/pom_editor.py", line 466, in decorated
    xml.patch(function, fnargs)
  File "/usr/share/java-utils/pom_editor.py", line 258, in patch
    function(**fnargs)
  File "/usr/share/java-utils/pom_editor.py", line 583, in pom_remove_parent
    etree.Comment(" parent POM reference removed by maintainer --> "))
  File "src/lxml/lxml.etree.pyx", line 3017, in lxml.etree.Comment (src/lxml/lxml.etree.c:77005)
ValueError: Comment may not contain '--' or end with '-'


Version-Release number of selected component (if applicable):

javapackages-tools.noarch 4.6.0-15.fc24

How reproducible:

Happens both in koji and in a local mock build

Steps to Reproduce:
1. Build jglobus-2.1.0-6.fc24.src.rpm

Actual results:

Traceback (see above)

Expected results:

Successful build

Additional info:

Only happens in F24.
EPEL7, F25, F26 and rawhide all work.

Failed build (F24):

https://koji.fedoraproject.org/koji/taskinfo?taskID=20305430

Same srpm build successfully on EPEL7, F25, F26 and rawhide:

https://koji.fedoraproject.org/koji/taskinfo?taskID=20305433
https://koji.fedoraproject.org/koji/taskinfo?taskID=20305428
https://koji.fedoraproject.org/koji/taskinfo?taskID=20305426
https://koji.fedoraproject.org/koji/taskinfo?taskID=20305425

Comment 1 Fedora Update System 2017-07-03 13:45:17 UTC
javapackages-tools-4.6.0-16.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ab2e980e61

Comment 2 Michael Simacek 2017-07-03 13:56:34 UTC
I submitted a buildroot override with the fixed package:
https://bodhi.fedoraproject.org/overrides/javapackages-tools-4.6.0-16.fc24

Comment 3 Fedora Update System 2017-07-04 02:50:05 UTC
javapackages-tools-4.6.0-16.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ab2e980e61

Comment 4 Fedora Update System 2017-07-12 01:51:41 UTC
javapackages-tools-4.6.0-16.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.